Skip to content
Developer

CustomerAppMenuItem

System and settings6 EndpointsSettings / CustomerAppMenuItem

Returns a list of all CustomerAppMenuItem entries

GET/api/settings/customer_app_menu_item

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item \
  --header 'x-iw-jwt-token: <TOKEN>'

Add a new CustomerAppMenuItem

POST/api/settings/customer_app_menu_item

Request body application/json

  • dataCustomerAppMenuItem
    Show fields (19)
    • idinteger

      Primary key of the menu item. Internal ID.

    • item_keystring

      Unique key of the menu item.

    • enabledboolean

      Whether the menu item is shown in the app.

    • titlestring

      Title of the menu item shown in the app.

    • iconstring

      Icon of the menu item.

    • routestring

      Route the menu item opens.

    • item_typestring

      Type of the menu item.

    • menu_groupCustomerAppMenuGroup2

      Menu group the item belongs to.

    • sort_orderinteger

      Position of the item in the menu.

    • tab_bar_enabledboolean

      Whether the item is shown in the tab bar.

    • tab_bar_priorityinteger

      Priority of the item in the tab bar.

    • visibility_rulestring

      Rule that decides when the item is visible.

    • server_constraintsstring

      Server-side constraints as JSON array. Example: [{"type": "app_config", "key": "C_APP_ENABLE_FUNCTION_NEWS"}]

    • client_constraintsstring

      Client-side constraint tags as JSON array. Example: [{"type": "platform", "value": "web"}]

    • min_build_idinteger

      Lowest app build the item is shown for.

    • max_build_idinteger

      Highest app build the item is shown for.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "item_key": "string",
    "enabled": true,
    "icon": "string",
    "route": "string"
  }
}
'

Returns a single CustomerAppMenuItem entry.

GET/api/settings/customer_app_menu_item/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

Updates an existing CustomerAppMenuItem entry.

PUT/api/settings/customer_app_menu_item/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataCustomerAppMenuItem
    Show fields (19)
    • idinteger

      Primary key of the menu item. Internal ID.

    • item_keystring

      Unique key of the menu item.

    • enabledboolean

      Whether the menu item is shown in the app.

    • titlestring

      Title of the menu item shown in the app.

    • iconstring

      Icon of the menu item.

    • routestring

      Route the menu item opens.

    • item_typestring

      Type of the menu item.

    • menu_groupCustomerAppMenuGroup2

      Menu group the item belongs to.

    • sort_orderinteger

      Position of the item in the menu.

    • tab_bar_enabledboolean

      Whether the item is shown in the tab bar.

    • tab_bar_priorityinteger

      Priority of the item in the tab bar.

    • visibility_rulestring

      Rule that decides when the item is visible.

    • server_constraintsstring

      Server-side constraints as JSON array. Example: [{"type": "app_config", "key": "C_APP_ENABLE_FUNCTION_NEWS"}]

    • client_constraintsstring

      Client-side constraint tags as JSON array. Example: [{"type": "platform", "value": "web"}]

    • min_build_idinteger

      Lowest app build the item is shown for.

    • max_build_idinteger

      Highest app build the item is shown for.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "item_key": "string",
    "enabled": true,
    "icon": "string",
    "route": "string"
  }
}
'

Updates an existing CustomerAppMenuItem entry.

PATCH/api/settings/customer_app_menu_item/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataCustomerAppMenuItem
    Show fields (19)
    • idinteger

      Primary key of the menu item. Internal ID.

    • item_keystring

      Unique key of the menu item.

    • enabledboolean

      Whether the menu item is shown in the app.

    • titlestring

      Title of the menu item shown in the app.

    • iconstring

      Icon of the menu item.

    • routestring

      Route the menu item opens.

    • item_typestring

      Type of the menu item.

    • menu_groupCustomerAppMenuGroup2

      Menu group the item belongs to.

    • sort_orderinteger

      Position of the item in the menu.

    • tab_bar_enabledboolean

      Whether the item is shown in the tab bar.

    • tab_bar_priorityinteger

      Priority of the item in the tab bar.

    • visibility_rulestring

      Rule that decides when the item is visible.

    • server_constraintsstring

      Server-side constraints as JSON array. Example: [{"type": "app_config", "key": "C_APP_ENABLE_FUNCTION_NEWS"}]

    • client_constraintsstring

      Client-side constraint tags as JSON array. Example: [{"type": "platform", "value": "web"}]

    • min_build_idinteger

      Lowest app build the item is shown for.

    • max_build_idinteger

      Highest app build the item is shown for.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "item_key": "string",
    "enabled": true,
    "icon": "string",
    "route": "string"
  }
}
'

Delete a CustomerAppMenuItem (soft delete)

DELETE/api/settings/customer_app_menu_item/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_item/42 \
  --header 'x-iw-jwt-token: <TOKEN>'